Subject: pine misidentifies Excel files

From: [email-masked]
Date: Thu, 6 Jul 2000 12:56:46 +0200 (CEST)

I saw in the archive that a lot of people had the same problem as the one 
I reported yesterday.

At last, I found the answer:

 The formats of the mime.types file used by Pine and Netscape are incompatible.

 Netscape uses something like: 

    #mime types added by Netscape Helper
    type=application/pdf  \
    desc="Portable Document Format"  \
    exts="pdf" 

 I then tried: 

    type=application/excel  \
    desc="MS Excel"  \
    exts="xls,XLS,xlb" 

 That doesn't work (any .xls file is attached as APPLICATION/MSWORD)
 By the way, the same file copied to .doc is attached as APPLICATION/msword
 (note the case). Which gives some information on the way pine handles file 
 types.
      If pine knows the file type, it relies only on it
      If not, it looks at the first bytes of the file

  I then tried with:

    application/excel		   xls

 and that works perfectly.

I hope this can help.

I didn't have time to look at the MIME RFCs, but I'd guess that it's pine
which is right.

-- 
Pierre Frenkiel                     e-mail: [email-masked]
Physique Corpusculaire et Cosmologie                 tel: 01.44.27.15.27
Collège de France           home: 01.60.86.58.25  mobile: 06.68.14.73.64  
11 pl. Marcelin Berthelot / F-75231 Paris Cedex 5    fax: 01.43.54.69.89

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------